Patchwork D12363: pycompat: remove check for Python >= 3.6

login
register
mail settings
Submitter phabricator
Date March 10, 2022, 1:08 a.m.
Message ID <differential-rev-PHID-DREV-pgqlry6p6aatpsirruf4-req@mercurial-scm.org>
Download mbox | patch
Permalink /patch/50705/
State New
Headers show

Comments

phabricator - March 10, 2022, 1:08 a.m.
indygreg created this revision.
Herald added a reviewer: hg-reviewers.
Herald added a subscriber: mercurial-patches.

REVISION SUMMARY
  We dropped support for Python 3.5 so this is always true.

REPOSITORY
  rHG Mercurial

BRANCH
  default

REVISION DETAIL
  https://phab.mercurial-scm.org/D12363

AFFECTED FILES
  mercurial/pycompat.py

CHANGE DETAILS




To: indygreg, #hg-reviewers
Cc: mercurial-patches, mercurial-devel

Patch

diff --git a/mercurial/pycompat.py b/mercurial/pycompat.py
--- a/mercurial/pycompat.py
+++ b/mercurial/pycompat.py
@@ -86,7 +86,7 @@ 
     return _rapply(f, xs)
 
 
-if os.name == r'nt' and sys.version_info >= (3, 6):
+if os.name == r'nt':
     # MBCS (or ANSI) filesystem encoding must be used as before.
     # Otherwise non-ASCII filenames in existing repositories would be
     # corrupted.
@@ -415,7 +415,6 @@ 
 
         return json.loads(s, *args, **kwargs)
 
-
 else:
     json_loads = json.loads